Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(27)

Issue 1116473002: Introduce NullVideoSink for test classes. (Closed)

Created:
4 years, 6 months ago by DaleCurtis
Modified:
4 years, 6 months ago
Reviewers:
xhwang
CC:
chromium-reviews, feature-media-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Introduce NullVideoSink for test classes. Similar to NullAudioSink, but I decided not to use FakeAudioWorker as a generic fake worker since it adds more complexity then we need for the video renderer sink interface. I also didn't want to add pause support or stop callback support to it. BUG=473424 TEST=new unittest, forthcoming pipeline changes. Committed: https://crrev.com/6523d600339aad86efcf1c238152e833c248dae5 Cr-Commit-Position: refs/heads/master@{#327450}

Patch Set 1 #

Total comments: 29

Patch Set 2 : Comments. #

Total comments: 3

Patch Set 3 : Comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+392 lines, -50 lines) Patch
M media/base/BUILD.gn View 2 chunks +3 lines, -0 lines 0 comments Download
A media/base/null_video_sink.h View 1 2 1 chunk +93 lines, -0 lines 0 comments Download
A media/base/null_video_sink.cc View 1 2 1 chunk +101 lines, -0 lines 0 comments Download
A media/base/null_video_sink_unittest.cc View 1 2 1 chunk +147 lines, -0 lines 0 comments Download
M media/media.gyp View 2 chunks +3 lines, -0 lines 0 comments Download
M media/renderers/video_renderer_impl_unittest.cc View 15 chunks +34 lines, -26 lines 0 comments Download
M media/test/pipeline_integration_test_base.h View 3 chunks +2 lines, -15 lines 0 comments Download
M media/test/pipeline_integration_test_base.cc View 2 chunks +9 lines, -9 lines 0 comments Download

Messages

Total messages: 12 (3 generated)
DaleCurtis
4 years, 6 months ago (2015-04-28 20:26:37 UTC) #2
xhwang
Looking pretty good. I just have a few comments. https://codereview.chromium.org/1116473002/diff/1/media/base/null_video_sink.cc File media/base/null_video_sink.cc (right): https://codereview.chromium.org/1116473002/diff/1/media/base/null_video_sink.cc#newcode1 media/base/null_video_sink.cc:1: ...
4 years, 6 months ago (2015-04-28 23:12:07 UTC) #3
DaleCurtis
https://codereview.chromium.org/1116473002/diff/1/media/base/null_video_sink.cc File media/base/null_video_sink.cc (right): https://codereview.chromium.org/1116473002/diff/1/media/base/null_video_sink.cc#newcode1 media/base/null_video_sink.cc:1: // Copyright (c) 2012 The Chromium Authors. All rights ...
4 years, 6 months ago (2015-04-29 00:54:08 UTC) #4
xhwang
LGTM % comments https://codereview.chromium.org/1116473002/diff/1/media/base/null_video_sink.cc File media/base/null_video_sink.cc (right): https://codereview.chromium.org/1116473002/diff/1/media/base/null_video_sink.cc#newcode81 media/base/null_video_sink.cc:81: delay += interval_ * (-delay / ...
4 years, 6 months ago (2015-04-29 03:49:13 UTC) #5
DaleCurtis
Thanks for review! We can discuss style tomorrow :) https://codereview.chromium.org/1116473002/diff/1/media/base/null_video_sink.cc File media/base/null_video_sink.cc (right): https://codereview.chromium.org/1116473002/diff/1/media/base/null_video_sink.cc#newcode81 media/base/null_video_sink.cc:81: ...
4 years, 6 months ago (2015-04-29 04:26:48 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1116473002/40001
4 years, 6 months ago (2015-04-29 04:27:42 UTC) #9
xhwang
https://codereview.chromium.org/1116473002/diff/20001/media/base/null_video_sink.h File media/base/null_video_sink.h (right): https://codereview.chromium.org/1116473002/diff/20001/media/base/null_video_sink.h#newcode42 media/base/null_video_sink.h:42: void pause_render_callbacks(base::TimeTicks pause_util) { On 2015/04/29 04:26:48, DaleCurtis wrote: ...
4 years, 6 months ago (2015-04-29 05:20:19 UTC) #10
commit-bot: I haz the power
Committed patchset #3 (id:40001)
4 years, 6 months ago (2015-04-29 08:31:15 UTC) #11
commit-bot: I haz the power
4 years, 6 months ago (2015-04-29 08:32:15 UTC) #12
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/6523d600339aad86efcf1c238152e833c248dae5
Cr-Commit-Position: refs/heads/master@{#327450}

Powered by Google App Engine
This is Rietveld 408576698